Bug 128169 - mkinitrd *hangs* when kernel doesn't have block loopback support
mkinitrd *hangs* when kernel doesn't have block loopback support
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-07-19 11:53 EDT by Bob T.
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-02 18:32:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bob T. 2004-07-19 11:53:56 EDT
Description of problem:  The summary says it all.  I know what the man
page says; it's just that hanging isn't an acceptable response. The
script should test for block loopback support and produce a useful
error message if it's not there.  Mkinitrd is a hidden step for
installing a kernel and if one has removed block loopback support in
building a custom kernel, it may not be until months later that one
finds it impossible to install a new kernel after hours of compilation
with no indication of what the problem is.  And it wouldn't hurt to
put a warning comment in the kernel configuration script so this
apparently useless feature won't be removed so easily.
Comment 1 Jeremy Katz 2004-08-02 18:32:52 EDT
This won't be a problem with mkinitrd 4.x and 2.6 kernels.

Note You need to log in before you can comment on or make changes to this bug.